## NAME

d.save - Creates a list of commands for recreating screen graphics.
(GRASS Display Program)

## SYNOPSIS

d.save
d.save help
d.save [-ca] [frame=name[,name,...]] [remove=val[,val,...]] [move=from,to[,from,to,...]]

## DESCRIPTION

When GRASS display (d.) commands are used to generate graphical images on the graphics monitor, some commands are noted in lists that the current graphics driver (see manual entry for d.mon) maintains. This command, d.save, uses this information to create a shell script that can be used to recreate graphics in another frame at another time. The shell script is sent to standard output (the user's terminal). If you wish to save the shell script created by d.save, its output should be redirected to a file; for example:

  d.save > script.out

The user can run the program non-interactively by specifying flag settings and parameter values on the command line. If the user types d.save without specifying these program arguments, the user will be prompted for inputs through the standard user interface described in the manual entry for parser.

## OPTIONS

### Flags:

-c
  Shell script will contain only information for regenerating graphics from the active (current) frame. Use of this flag overrides the frame option (below).
-a
  Save information needed to regenerate all the frames on the graphics monitor. The shell script can be used to completely reconstruct the contents of the graphics screen.

### Parameter:

frame=name[,name,...]
  Name(s) of those display frame(s) to be saved.
  Options: All available frames
  Default: Active frame
remove=val[,val,...]
  List no's to be removed.
move=from,to[,from,to,...]
  List no's to be moved, "from" to "to". remove option will be done first, if any.

## NOTES

List no's are displayed in the right-most comments.

Display commands used interactively, and those that take their graphic instructions from standard input, will not be saved by d.save.

## SEE ALSO

d.frame
d.mon
g.region
parser

## AUTHOR

David Satnik, Central Washington University

Last changed: $Date: 2002/01/25 05:45:33 $